Problème java

jcfaggia

Membre émérite
2 Juillet 2006
626
24
AJACCIO
J'ai un souci sur le site de Pixmania qui me demande la version 1.6 de java et qui me dit que je n'ai que 1.5.
Je suis allé à '/System/Library/Frameworks/JavaVM.framework/Versions/Current'
et là j'ai des dossiers et leurs alias 1.3 / 1.4 /1.4.1 /1.4.2 /1.5 /1.5.0 /1.6 /1.6.0
(saisie d'ecran pus bas)
Dossiers que je ne peux ouvrir, évidemment.
Je vois bien la version 1.6.O
Est ce que ça inspire qqun sur ce que l'on peut faire ???
Salut & Bonnanéemacgé
 

bga_O

Membre confirmé
4 Juillet 2005
159
5
41
leotxando.free.fr
Ca ne veux pas dire que tu as le dossier java 6 que ta jvm l utilise !

pour être sur va sur ton terminal
-> applications -> utilitaire -> terminal

et tape

java -version

tu aura la version de la jvm utilisé, pour avoir la 1.6 il te faudra faire une mise à jour en passant obligatoirement par pomme -> mise à jour de logiciel...

tiens nous au courant ;)
 

jcfaggia

Membre émérite
2 Juillet 2006
626
24
AJACCIO
Ca ne veux pas dire que tu as le dossier java 6 que ta jvm l utilise !

pour être sur va sur ton terminal
-> applications -> utilitaire -> terminal

et tape

java -version

tu aura la version de la jvm utilisé, pour avoir la 1.6 il te faudra faire une mise à jour en passant obligatoirement par pomme -> mise à jour de logiciel...

tiens nous au courant ;)

par le terminal c'est bien 1,5 qui tourne.
par contre dans "mise à jour de logiciels" ( que j'avais déjà essayé ) la MAJ 1.6 n'est pas proposée. Que faire ?
 

bga_O

Membre confirmé
4 Juillet 2005
159
5
41
leotxando.free.fr
Le soucis c'est que pour mac os x tu es obligé de passer par les mise à jour du système ! même le site de Sun te renvoie à pomme-> mise à jour...

sinon j'ai trouvé ces liens, qui t'expliques comment installer java 1.6 sur Tiger et Léopard (normalement sur ce dernier java 6 est installé de base...)

http://rorblog.techcfl.com/2008/02/26/installing-the-jdk-16-on-mac-os-x/
http://landonf.bikemonkey.org/static/soylatte/

j'ai tente de mettre à jour mon ide, mais rien y fait, je reste en 1.5, mais apparemment, c'est normal sous Tiger... :rolleyes: mac ne propose pas encore de java 6

concernant Léopard, tu devrais l'avoir en faisant les mise à jour...

bon courage :hein:

lien intéressant sur sun :

http://blogs.sun.com/cmar/entry/java_1_6_finally_available
 

bga_O

Membre confirmé
4 Juillet 2005
159
5
41
leotxando.free.fr
Je pensais à un truc...

si tu tiens réellement à avoir une jre en java 6 tu peux passer par fink afin de forcer os x à installer java 6.

sinon... y a rien d'autres

désolé...:rolleyes:
 

jcfaggia

Membre émérite
2 Juillet 2006
626
24
AJACCIO
Je pensais à un truc...

si tu tiens réellement à avoir une jre en java 6 tu peux passer par fink afin de forcer os x à installer java 6.

sinon... y a rien d'autres

désolé...:rolleyes:
J'ai l'impression que c'est un bazar pas possible pour finalement pas grand chose. Je ne comprends pas ce qu'ils racontent sur le blog, en tout cas, je ne vois rien qui m'avance.
Je ne connais pas fink, je serais curieux de savoir comment procéder et d'y arriver pour la beauté de la chose. je suis un obstiné, et pour ma part, je n'aime pas rester sur un echec.
Si je dois m'y résigner, (snif), j'essaierai mes manips sur ma partition Windows ( re-snif)
merci de t'être intéressé à mon cas
A +++
 

bga_O

Membre confirmé
4 Juillet 2005
159
5
41
leotxando.free.fr
os x est un unix, tout comme Debian (linux)

fink te permet d'utiliser des commandes debian sur ton mac, en gros il te sera possible de telecharger java 6 pour unix (donc pour mac indirectement) en passant par :

apt-get install java

malheureusement je n aurai pas trop le temps pour t expliquer les manip... mais déjà il te faudra télécharger fink.

http://www.finkproject.org/about.php?phpLang=fr

et à lire (pour utilier les scripts debian :

http://www.commentcamarche.net/forum/affich-2962864-debian-installation-de-java

bon courage :up:

tiens nous au jus ;)

Note du modo :
J'ai un souci sur le site de Pixmania
Et le site de Pixmania, il est où ? Sur internet, eh oui !

On déménage !
 

Djin75

Nouveau membre
2 Février 2009
9
0
J'ai un souci sur le site de Pixmania qui me demande la version 1.6 de java et qui me dit que je n'ai que 1.5.
Je suis allé à '/System/Library/Frameworks/JavaVM.framework/Versions/Current'
et là j'ai des dossiers et leurs alias 1.3 / 1.4 /1.4.1 /1.4.2 /1.5 /1.5.0 /1.6 /1.6.0
(saisie d'ecran pus bas)
Dossiers que je ne peux ouvrir, évidemment.
Je vois bien la version 1.6.O
Est ce que ça inspire qqun sur ce que l'on peut faire ???
Salut & Bonnanéemacgé

Si ton mac est un intel core duo, il te reste 2 petites choses à faire :
- aller dans Applications/utilities/java et utiliser la petite application pour mettre JSE6.0 en haut de la pile dans les 2 fenêtres
- faire passer le lien logique 'CurrentJDK' de 1.5 à 1.6. Pour cela, l'effacer et le recréer sous sudo
* rm CurrentJDK
* ln -s 1.6 CurrentJDK
Normalement, ensuite, ça roule.
SI j'ai bien compris, il faut passer par les installations non mac quand on a une machine G5

Cordialement,